<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BitNodeOptions](./bitburner.bitnodeoptions.md)

## BitNodeOptions interface

Default value:

- sourceFileOverrides: an empty Map

- intelligenceOverride: undefined

- All boolean options: false

If you specify intelligenceOverride, it must be a positive integer.

**Signature:**

```typescript
export interface BitNodeOptions extends BitNodeBooleanOptions 
```
**Extends:** [BitNodeBooleanOptions](./bitburner.bitnodebooleanoptions.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[intelligenceOverride](./bitburner.bitnodeoptions.intelligenceoverride.md)


</td><td>


</td><td>

number \| undefined


</td><td>


</td></tr>
<tr><td>

[sourceFileOverrides](./bitburner.bitnodeoptions.sourcefileoverrides.md)


</td><td>


</td><td>

Map&lt;number, number&gt;


</td><td>


</td></tr>
</tbody></table>

